.stepSection {
}

.stepSection_heroTitle {
  margin-bottom: 60px;
}

.stepSection_stepsContainer {
  max-width: 978px;
  margin: 0 auto;
}

.stepSection_stepWrapper {
  display: flex;
  justify-content: space-between;
  column-gap: 20px;
}

.stepSection_stepWrapper.step1 {
  margin: 0 0 60px;
}

.stepSection_stepWrapper.step1 .stepSection_textSubTitle {
  margin-top: 25px;
}

.stepSection_stepWrapper.step2 .stepSection_textSubTitle {
  margin-top: 25px;
}

.stepSection_stepWrapper.step3 .stepSection_textSubTitle,
.stepSection_stepWrapper.step3 .stepSection_textTitle {
  margin-bottom: 15px;
}

.stepSection_stepWrapper.step2 {
  flex-direction: row-reverse;
  margin: 60px 0;
}

.stepSection_depScreenContainer {
  position: relative;
}

.stepSection_stepWrapper.step3 {
  align-items: center;
  margin-top: 60px;
}

.stepSection_stepWrapper.step3 .stepSection_textWrapper {
  max-width: 488px;
}

.stepSection_textWrapper {
  max-width: 370px;
  width: 100%;
}

.stepSection_textWrapper:last-of-type {
  max-width: 488px;
}

.arrowDown {
  text-align: center;
  animation: arrows 1.5s infinite;
}

@keyframes arrows {
  to {
    transform: translateY(25px);
    opacity: 0;
  }
}

.stepSection_textSubTitle {
  color: #b7b7b7;
  font-family: "Open Sans";
  font-size: 16px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  margin-bottom: 10px;
}

.stepSection_textTitle {
  color: var(--Grn, #009246);
  font-family: "Open Sans";
  font-size: 30px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  margin-bottom: 10px;
}

.stepSection_textDescriprion {
  color: #232323;
  font-family: "Open Sans";
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 160%; /* 25.6px */
}

.stepSection_cardWrapper {
  max-width: 588px;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: space-between;
  column-gap: 13px;
  box-sizing: border-box;
  padding: 20px;
  background: #ffffff;
  box-shadow: 5px 0px 40px rgba(0, 0, 0, 0.1);
  border-radius: 20px;
}

.step3 .stepSection_cardWrapper {
  max-width: 384px;
  height: 384px;
  border-radius: 100%;
  overflow: hidden;
  padding: 0;
}

.stepSection_descriptionContainer {
  max-width: 235px;
  width: 100%;
}

.stepSection_descriptionTextWrapper {
  border-radius: 20px;
  border: 5px solid var(--Grn, #009246);
  background: linear-gradient(0deg, rgba(0, 146, 70, 0.1) 0%, rgba(0, 146, 70, 0.1) 100%), #fff;
}

.stepSection_descriptionTextWrapper.part2 {
  height: 55%;
}

.stepSection_descriptionText {
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #000;
  font-family: "Open Sans";
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 140%; /* 22.4px */
  padding: 20px;
}

.stepSection_descriptionTextWrapper.part1 {
  margin-bottom: 7px;
}

.stepSection_descriptionTextWrapper.part2 {
  margin-top: 7px;
}

.step2 .stepSection_descriptionTextWrapper {
  height: 100%;
}

.stepSection_formContainer {
  max-width: 320px;
  position: relative;
}

.stepSection_formContainerImg,
.stepSection_depContainerImg {
  max-width: 300px;
  border-radius: 20px;
}

.formVector1 {
  position: absolute;
  top: 26%;
  left: -50px;
  animation: bounce 1600ms infinite;
}

.formVector1Down {
  position: absolute;
  top: 6%;
  left: -55px;
  animation: bounceDiagonalDown 1600ms infinite;
}

.formVector2 {
  position: absolute;
  top: 42%;
  left: -50px;
  animation: bounce 1600ms infinite;
}

.formVector2Up {
  position: absolute;
  top: 41%;
  left: -55px;
  animation: bounceDiagonalUp 1600ms infinite;
}

.depVector {
  position: absolute;
  top: 62%;
  left: -35px;
  z-index: 9;
  animation: bounce 1600ms infinite;
}
.step__btn {
  margin-top: 60px;
}

@keyframes bounce {
  50% {
    transform: translateX(5px);
  }
}

@keyframes bounceDiagonalDown {
  50% {
    transform: translate(5px, 5px);
  }
}

@keyframes bounceDiagonalUp {
  50% {
    transform: translate(5px, -5px);
  }
}

@media (max-width: 1023px) {
  .stepSection_cardWrapper {
    column-gap: 20px;
    padding: 10px;
  }

  .stepSection_descriptionText {
    min-width: 191px;
    padding: 8px 15px;
  }

  .stepSection_formContainerImg,
  .stepSection_depContainerImg {
    max-width: 260px;
  }

  .formVector1 {
    top: 24%;
  }

  .formVector2 {
    top: 41%;
  }

  .depVector {
    top: 60%;
  }

  .stepSection_textWrapper {
    min-width: 225px;
  }

  .stepSection_descriptionContainer {
    max-width: 100%;
  }

  .stepSection_descriptionTextWrapper.part2 {
    height: unset;
  }

  .stepSection_stepWrapper.step2 {
    margin: 50px 0 70px;
  }

  .step3 .stepSection_cardWrapper {
    max-width: 320px;
    height: 320px;
  }

  .stepSection_stepWrapper.step3 .stepSection_textWrapper {
    max-width: 366px;
  }
}

@media (max-width: 767px) {
  .stepSection_heroTitle {
    color: var(--Grn, #009246);
    text-align: center;
    font-size: 34px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    margin-bottom: 30px;
  }

  .stepSection_stepWrapper {
    align-items: center;
    flex-direction: column;
    row-gap: 20px;
  }

  .stepSection_stepWrapper.step2 {
    flex-direction: column;
  }

  .stepSection_stepWrapper.step1 .stepSection_textSubTitle {
    margin-top: 0;
  }

  .stepSection_stepWrapper.step2 .stepSection_textSubTitle {
    margin-top: 0;
  }

  .stepSection_textWrapper {
    max-width: 100%;
  }

  .stepSection_textSubTitle {
    text-align: center;
  }

  .stepSection_textTitle {
    text-align: center;
    font-size: 26px;
    line-height: 36px;
  }

  .stepSection_textDescriprion {
    text-align: center;
  }

  .stepSection_cardWrapper {
    max-width: 100%;
    align-items: center;
    flex-direction: column;
    row-gap: 10px;
  }

  .formVector1,
  .formVector2,
  .depVector {
    max-width: 40px;
    max-height: 28px;
  }

  .formVector1,
  .formVector2 {
    left: -25px;
  }

  .formVector1 {
    top: 28%;
  }

  .formVector2 {
    top: 45%;
  }

  .stepSection_formContainerImg,
  .stepSection_depContainerImg {
    max-width: 320px;
  }

  .stepSection_descriptionTextWrapper {
    border: 3px solid #009246;
  }

  .stepSection_descriptionTextWrapper.part2 {
    margin-top: 10px;
  }

  .stepSection_descriptionText {
    padding: 12px 15px;
    text-align: center;
  }

  .stepSection_stepWrapper.step1 {
    margin: 0 0 50px;
  }

  .stepSection_stepWrapper.step2 {
    margin: 50px 0;
  }

  .depVector {
    top: 63%;
    left: -25px;
  }
  .step__btn {
    margin-top: 30px;
  }
}
